# Restore old style debuginfo creation for rpm >= 4.14.
%undefine _debugsource_packages
%undefine _debuginfo_subpackages

# -*- rpm-spec -*-
Summary:        LZFSE compression library and command line tool.
Name:           lzfse
Version:        1.0
Release:        1
License:        BSD
Group:          Development/Libraries
Vendor:         Apple Inc.
BuildRoot:      %_topdir/%{name}-%{version}-%{release}.x86_64

Source: lzfse-1.0.tar.gz




%define debug_package %{nil}

%define _rpmdir %_topdir/RPMS
%define _srcrpmdir %_topdir/SRPMS
%define _rpmfilename lzfse-1.0-1.x86_64.rpm
%define _unpackaged_files_terminate_build 0





%description
This is a reference C implementation of the LZFSE compressor introduced in the Compression library with OS X 10.11 and iOS 9.

LZFSE is a Lempel-Ziv style data compression algorithm using Finite State Entropy coding. It targets similar compression rates at higher compression and decompression speed compared to deflate using zlib.



# This is a shortcutted spec file generated by CMake RPM generator
# we skip _install step because CPack does that for us.
# We do only save CPack installed tree in _prepr
# and then restore it in build.
%prep
%setup -c

%install
if [ -e $RPM_BUILD_ROOT ];
then
  rm -rf $RPM_BUILD_ROOT
fi
mkdir -p $RPM_BUILD_ROOT/usr
mv %{name}-%{version}-%{release}.x86_64/* $RPM_BUILD_ROOT/

%clean

%files
%defattr(-,root,root,-)
/usr/bin/lzfse
/usr/lib64/liblzfse.so

%changelog
* Mon May 22 2017 Apple Inc. <lzfse@apple.com> 1.0-1
- OS X -> macOS where appropriate

* Sun May 07 2017 Apple Inc. <lzfse@apple.com> 1.0
- fixed a typo in block max size
- Allow LZVN to work with inputs shorter than 8 bytes.
- Improved frequency normalization algorithm
- Do not waste time searching for length 3 matches
- Fix a merge conflict in the licence file
- Converted readme to markdown, added some further information and fixed description of two files being mixed up
- lzfse_fse.h: correctly detect 64-bit stream for debug macro
- Fix fse_normalize_freq() when passed alphabet with no used symbols
- reformatted LICENSE
- merged nemequ changes; fixed end of stream reservation size in LZVN partial encoder; fixed Xcode project with updated README.md file
- Added bindings section in README, link to pylzfse
- Add CMake build system.
- Added cmake instructions to README
- Add extern declarations for linking into C++ code.
- Avoid pointer arithmetic on void pointers
- Implement GCC bit scan builtins for MSVC
- Fix issues related to use of __attribute__
- Implement jump table as switch for non-GCC
- Use ptrdiff_t instead of ssize_t
- Add MSVC fixes for timing and file access
- Set _POSIX_C_SOURCE to 200112L for gettimeofday
- Set binary mode on stdin/stdout on Windows
- Update API export to work for CMake and MSVC
- Fix label error
- Fix 64-bit check for MSVC
- Add some tests to verify the build.
- Add Travis CI support.
- Add AppVeyor builds.
- Don't rely on unaligned accesses in the LZVN encoder.
- Get Visual Studio 12 working.
- Replace #pragma mark with // MARK:
- Add const to tables in lzfse_internal.h
- Fix #28
- Improve patch for #28

